// Testprogramm fr Zufallszahlen

import java.util.*;

public class RandomTest {
	public static void main(String[] args) {
		Random zufall ;
	
		// Zufallszahlen zwischen 0 und 99
		// *** A: Startbedingung = 1 ***
		zufall = new Random(1);
		System.out.print("Reihe A          : ") ;

		for (int i = 0; i < 10; ++i) {
			System.out.print(Math.abs(zufall.nextInt()) % 100 + "  ");
		}
		
		System.out.println() ;
		// ******************************
		
		// *** B: Startbedingung = 2 ***
		zufall = new Random(2);
		System.out.print("Reihe B          : ") ;

		for (int i = 0; i < 10; ++i) {
			System.out.print(Math.abs(zufall.nextInt()) % 100 + "  ");
		}
		
		System.out.println() ;
		// ******************************

		// *** C: Startbedingung = 1 , siehe auch A:***
		zufall = new Random(1);
		System.out.print("Reihe C, siehe A : ") ;

		for (int i = 0; i < 10; ++i) {
			System.out.print(Math.abs(zufall.nextInt()) % 100 + "  ");
		}
		
		System.out.println() ;
		// ******************************

		// *** D: Reihe ist nicht reproduzierbar***
		zufall = new Random();
		System.out.print("Reihe D          : ") ;

		for (int i = 0; i < 10; ++i) {
			System.out.print(Math.abs(zufall.nextInt()) % 100 + "  ");
		}
		
		System.out.println() ;
		// ******************************
	}
}